#include "track/constants.h"

/* right now, these are just const vectors, but eventually
   I'll make a class to manage these and make them disableable */

namespace Track {
namespace Constants {

const std::vector<std::string> default_media_extensions = {
    "mkv",
    "mp4",
    "m4v", /* apple's stupid DRM thing */
    "avi",
    "webm", /* matroska's retarded inbred cousin */
    /* QuickTime */
    "mov",
    "qt",
    /* MPEG transport stream */
    "mts",
    "m2ts",
    "ts",
    /* MPEG-1, typically not used for anime */
    "mpg",
    "mp2",
    "mpeg",
    "mpe",
    "mpv",
    /* MPEG-2 */
    "m2v"
    /* 3GPP */
    "3gp",
    "3g2",
    /* Windows Media */
    "asf",
    "wmv",
    /* Adobe Flash */
    "flv",
    "swf", /* not exactly a video format */
    /* Ogg Video */
    "ogv",
    /* RealPlayer (who tf uses this?) */
    "rm",
    "rmvb",
    /* Nullsoft Streaming Video (Winamp) */
    "nsv",
    /* Material Exchange Format (Sony?) */
    "mxf"
};

const std::vector<std::string> default_media_players = {
#ifdef MACOSX
    "VLC", "IINA", "QuickTime Player"
#elif WIN32
    "vlc.exe", "mpc-hc.exe", "mpc-hc64.exe", "wmplayer.exe", "mpv.exe"
#else // linux, unix, whatevs
    "vlc", "mpv", "mpc-qt"
#endif
};

}
}
